Need help on the Term-vt100

Discussion in 'iPod touch' started by Fu1Five, Mar 31, 2008.

  1. Fu1Five

    Fu1Five New Member

    Joined:
    Mar 12, 2008
    Messages:
    8
    Likes Received:
    0
    I have a 16g ipod touch, runing on version 1.1.4 and just download terminal today. When I start terminal it said password: so i type in alpine and it said it incorrect.

    I need some help on this please anyone have any idea that could help me??
  2. Sickly_slick

    Sickly_slick New Member

    Joined:
    Jan 25, 2008
    Messages:
    789
    Likes Received:
    10
    download SUID Lib fix in tweaks 1.1.3
    download BSD Subsystem Term fix in tweaks
    respring
    open term-vt100
    type in alpine
    enjoy typing
  3. Fu1Five

    Fu1Five New Member

    Joined:
    Mar 12, 2008
    Messages:
    8
    Likes Received:
    0
    Dude Thanx a Life time !!!! Nice helper out there hehehe
  4. kimura

    kimura New Member

    Joined:
    Oct 16, 2007
    Messages:
    48
    Likes Received:
    0
    I just jailbroke into 1.1.4 and installed the required stuff but whe I enter password into term-vt 100, it still says incorrect. I jailbroke thru ziphone 3.0
  5. Reyn

    Reyn New Member

    Joined:
    Dec 21, 2007
    Messages:
    57
    Likes Received:
    1
    I have same problem. All fix installed and terminal still doesnt work. I think it is because of the new 3.0 ZiPhone which installs also BSD Subsystem and maybe something is wrong. I have tryied to reinstall it but it allways says Error package download failed.

    Edit: Solved ! It really was because of bad BSD Subsystem. I´ve reinstalled it by deleting BSD Subsystem in var/mobile/Library/Installer/LocalPackages.plist and after that I installed BSD Subsystem from different source. Then Suid Lib Fix and BSD Termfix and everything is OK.

    The other option how to repair it is to install Cydia Packager, but if you need the real BSD Subsystem you have to reinstall it. For example I needed BSD to run Nethack (game) on iPod because it didn´t run with Cydia Packager libraries.
  6. kimura

    kimura New Member

    Joined:
    Oct 16, 2007
    Messages:
    48
    Likes Received:
    0
    Which source did you download from? Do you mean that the BSD which was pre-installed by Ziphone 3.0 is bad? Did you uninstall the OpenSSH that was pre-installed too?
  7. Reyn

    Reyn New Member

    Joined:
    Dec 21, 2007
    Messages:
    57
    Likes Received:
    1
    I dont remember which source it was, try one of these - http://iappcat.com/apps/list?search=bsd subsystem it doesn´t matter if it works. Yea I think something is bad with BSD after ZiPhone 3.0, yourself to reinstall it, I think it should work after (and after suid lib fix and termfix).
  8. bobflacarr

    bobflacarr New Member

    Joined:
    Mar 31, 2008
    Messages:
    1
    Likes Received:
    0
    I followed the instructions above (removing BSD from the .xml and installing from a different source). This was not enough for me. Probably because I had been hackin at it for a while. The next steps above mention installing SUID Lib Fix again. If you receive an error message while doing so, it is because the sym link is already there. Remove it and run the suid from command line (by ssh'ing).

    Here are some details that may help others, but I believe the BSD was the key, thanks!!

    ssh root@192.168.1.103
    root@192.168.1.103's password:
    # cd /bin
    # cat suidlibfix
    #!/bin/sh
    chmod +s /usr/bin/login
    mkdir -p /usr/local/arm-apple-darwin && ln -s /usr/lib /usr/local/arm-apple-darwin/lib
    # ./suidlibfix
    ln: /usr/local/arm-apple-darwin/lib/lib: File exists
    # cd /usr/local/arm-apple-darwin/
    # ls
    lib
    # ls -la
    total 8
    drwxr-xr-x 2 root wheel 102 Apr 4 13:12 .
    drwxr-xr-x 3 root wheel 102 Apr 4 13:12 ..
    lrwxr-xr-x 1 root wheel 8 Apr 4 13:12 lib -> /usr/lib
    # rm lib
    # ls
    # cd /bin
    # ./suidlibfix
    #

Share This Page